import type { EasingFunctionDescription } from '@yandex/ymaps3-types';
import type { CustomVuefyOptions } from '@yandex/ymaps3-types/modules/vuefy';
/**
 * YMapRotateTiltControl props
 */
export type YMapRotateTiltControlProps = {
    /** Easing function for map location animation */
    easing?: EasingFunctionDescription;
    /** Map location animate duration */
    duration?: number;
};
declare const defaultProps: Readonly<{
    duration: 200;
}>;
type DefaultProps = typeof defaultProps;
export declare const YMapRotateTiltControlVuefyOptions: CustomVuefyOptions<YMapRotateTiltControl>;
/**
 * Display tilt and rotation controls on a map.
 *
 * @example
 * ```javascript
 * const controls = new YMapControls({position: 'right'});
 * const {YMapRotateTiltControl} = await ymaps3.import('@yandex/ymaps3-controls@0.0.1');
 * const rotateTiltControl = new YMapRotateTiltControl({});
 * controls.addChild(rotateTiltControl);
 * map.addChild(controls);
 * ```
 */
export declare class YMapRotateTiltControl extends ymaps3.YMapComplexEntity<YMapRotateTiltControlProps, DefaultProps> {
    static defaultProps: Readonly<{
        duration: 200;
    }>;
    static [ymaps3.optionsKeyVuefy]: CustomVuefyOptions<YMapRotateTiltControl>;
    private _rotateControl;
    private _tiltControl;
    private _control;
    constructor(props: YMapRotateTiltControlProps);
    protected _onUpdate(): void;
}
export {};
