import type { SuggestResponse } from '@yandex/ymaps3-types/imperative/suggest';
import type { SearchParams, CustomSuggest } from '..';
import './index.css';
type SuggestNavigationAction = {
    isNextSuggest: boolean;
};
type YMapSuggestProps = {
    setSearchInputValue: (text: string) => void;
    onSuggestClick: (params: SearchParams) => void;
    searchInputValue?: string;
    suggestNavigationAction?: SuggestNavigationAction;
    suggest?: ({ text, map }: CustomSuggest) => Promise<SuggestResponse> | SuggestResponse;
};
declare class YMapSuggest extends ymaps3.YMapComplexEntity<YMapSuggestProps> {
    private _detachDom?;
    private _rootElement?;
    private _unwatchThemeContext?;
    private _unwatchControlContext?;
    private _searchInputValue?;
    get activeSuggest(): HTMLElement;
    private _updateSuggest;
    private _updateSuggestList;
    private _updateActiveSuggest;
    private _removeSuggestItems;
    private _addSuggestItems;
    private _onMouseOverHandler;
    private _onMouseOutHandler;
    private _getSuggestElements;
    private _updateTheme;
    private _updateVerticalOrder;
    protected _onAttach(): void;
    protected _onUpdate(props: Partial<YMapSuggestProps>): void;
    protected _onDetach(): void;
}
export { YMapSuggest };
