import type { YMap } from '@yandex/ymaps3-types/imperative/YMap';
import type { SearchResponse } from '@yandex/ymaps3-types/imperative/search';
import type { SuggestResponse } from '@yandex/ymaps3-types/imperative/suggest';
import './index.css';
export type SearchParams = {
    text?: string;
    uri?: string;
};
export type CustomSuggest = {
    text: string;
    map: YMap;
};
export type CustomSearch = {
    params: SearchParams;
    map: YMap;
};
export type SearchCallback = (params: CustomSearch) => Promise<SearchResponse> | SearchResponse;
export type SuggestCallback = (params: CustomSuggest) => Promise<SuggestResponse> | SuggestResponse;
export type SearchResultCallback = (result: SearchResponse) => void;
type YMapSearchControlProps = {
    placeholder?: string;
    search?: SearchCallback;
    suggest?: SuggestCallback;
    searchResult: SearchResultCallback;
};
declare class YMapSearchControl extends ymaps3.YMapComplexEntity<YMapSearchControlProps> {
    private _control;
    private _search;
    protected _onAttach(): void;
    protected _onUpdate(props: Partial<YMapSearchControlProps>): void;
    protected _onDetach(): void;
}
export { YMapSearchControl, YMapSearchControlProps };
