import type { EasingFunctionDescription } from '@yandex/ymaps3-types';
import type { CustomVuefyOptions } from '@yandex/ymaps3-types/modules/vuefy';
import './index.css';
/**
 * YMapTiltControl props
 */
export type YMapTiltControlProps = {
    /** Easing function for map location animation */
    easing?: EasingFunctionDescription;
    /** Map location animate duration */
    duration?: number;
};
declare const defaultProps: Readonly<{
    duration: 200;
}>;
type DefaultProps = typeof defaultProps;
export declare const YMapTiltControlVuefyOptions: CustomVuefyOptions<YMapTiltControl>;
/**
 * Display tilt control on a map.
 *
 * @example
 * ```javascript
 * const controls = new YMapControls({position: 'right'});
 * const {YMapTiltControl} = await ymaps3.import('@yandex/ymaps3-controls@0.0.1');
 * const tiltControl = new YMapTiltControl({});
 * controls.addChild(tiltControl);
 * map.addChild(controls);
 * ```
 */
export declare class YMapTiltControl extends ymaps3.YMapComplexEntity<YMapTiltControlProps, DefaultProps> {
    static defaultProps: Readonly<{
        duration: 200;
    }>;
    static [ymaps3.optionsKeyVuefy]: CustomVuefyOptions<YMapTiltControl>;
    private _control;
    private _tiltControl;
    constructor(props: YMapTiltControlProps);
    protected _onUpdate(): void;
}
export {};
