export interface Position {
    x: number;
    y: number;
}
export declare const DEG_TO_RAD: number;
export declare const RAD_TO_DEG: number;
export declare const CLICK_TOLERANCE_PX = 3;
/**
 * Resets the tilt value to the min or max value
 * @param tilt - current tilt in degree
 * @param min - min tilt in degree
 * @param max - max tilt in degree
 * @returns reset tilt value
 */
export declare const toggleTilt: (tilt: number, min: number, max: number) => number;
/**
 * Resets the azimuth value
 * @param azimuth - current tilt in rad
 * @returns reset azimuth value in rad
 */
export declare const toggleRotate: (azimuth: number) => number;
/**
 * Calculates the azimuth change by mouse movement
 * @param startPosition - position of the starting of the mouse movement
 * @param controlPosition - position of the azimuth change control
 * @param eventPagePosition - current mouse position
 * @returns delta azimuth value
 */
export declare const getDeltaAzimuth: (startPosition: Position, controlPosition: Position, eventPagePosition: Position) => number;
export declare const radToDeg: (rad: number) => number;
export declare const degToRad: (deg: number) => number;
